org.apache.commons.collections4.sequence

## Class InsertCommand<T>

- java.lang.Object
- - org.apache.commons.collections4.sequence.EditCommand<T>
  - - org.apache.commons.collections4.sequence.InsertCommand<T>

-     public class InsertCommand<T>
      extends EditCommand<T>

  Command representing the insertion of one object of the second sequence.

  When one object of the second sequence has no corresponding object in the first sequence at the right place, the `edit script` transforming the first sequence into the second sequence uses an instance of this class to represent the insertion of this object. The objects embedded in these type of commands always come from the second sequence.

  Since:
    4.0
  See Also:
    `SequencesComparator`, `EditScript`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsertCommand(T object)` Simple constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(CommandVisitor<T> visitor)` Accept a visitor.

    - ### Methods inherited from class org.apache.commons.collections4.sequence.EditCommand

      `getObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsertCommand

          public InsertCommand(T object)

      Simple constructor. Creates a new instance of InsertCommand
      Parameters:
        `object` - the object of the second sequence that should be inserted

  - ### Method Detail

    - #### accept

          public void accept(CommandVisitor<T> visitor)

      Accept a visitor. When an `InsertCommand` accepts a visitor, it calls its `visitInsertCommand` method.
      Specified by:
        `accept` in class `EditCommand<T>`
      Parameters:
        `visitor` - the visitor to be accepted

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.